#!/usr/bin/make
WGET=wget --continue --no-verbose --show-progress --directory-prefix=cache/downloads/

all: download_extra

clean:
	rm -rvf config/packages.chroot/
	rm -rvf cache/downloads
	
clean_all: clean
	rm -rvf cache/downloads/

download_extra: clean
	# TODO use the APT repository at build time, but disable it in the final chroot/image
	# TODO file ITPs on bugs.debian.org
	mkdir -p cache/downloads/ config/packages.chroot/
    
	# EXTRA Google Chrome
	$(WGET) https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
	cp cache/downloads/google-chrome-stable_current_amd64.deb config/packages.chroot/